# Uses of Class
org.apache.avro.idl.IdlParser.ImportStatementContext

## Uses of IdlParser.ImportStatementContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.ImportStatementContext
Modifier and Type
Field
Description
`IdlParser.ImportStatementContext`
IdlParser.IdlFileContext.`importStatement`
`IdlParser.ImportStatementContext`
IdlParser.ProtocolDeclarationBodyContext.`importStatement`
Fields in org.apache.avro.idl with type parameters of type IdlParser.ImportStatementContext
Modifier and Type
Field
Description
`List<IdlParser.ImportStatementContext>`
IdlParser.IdlFileContext.`imports`
`List<IdlParser.ImportStatementContext>`
IdlParser.ProtocolDeclarationBodyContext.`imports`
Methods in org.apache.avro.idl that return IdlParser.ImportStatementContext
Modifier and Type
Method
Description
`IdlParser.ImportStatementContext`
IdlParser.IdlFileContext.`importStatement(int i)`
`final IdlParser.ImportStatementContext`
IdlParser.`importStatement()`
`IdlParser.ImportStatementContext`
IdlParser.ProtocolDeclarationBodyContext.`importStatement(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.ImportStatementContext
Modifier and Type
Method
Description
`List<IdlParser.ImportStatementContext>`
IdlParser.IdlFileContext.`importStatement()`
`List<IdlParser.ImportStatementContext>`
IdlParser.ProtocolDeclarationBodyContext.`importStatement()`
Methods in org.apache.avro.idl with parameters of type IdlParser.ImportStatementContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterImportStatement(IdlParser.ImportStatementContext ctx)`
Enter a parse tree produced by `IdlParser.importStatement()`.
`void`
IdlListener.`enterImportStatement(IdlParser.ImportStatementContext ctx)`
Enter a parse tree produced by `IdlParser.importStatement()`.
`void`
IdlBaseListener.`exitImportStatement(IdlParser.ImportStatementContext ctx)`
Exit a parse tree produced by `IdlParser.importStatement()`.
`void`
IdlListener.`exitImportStatement(IdlParser.ImportStatementContext ctx)`
Exit a parse tree produced by `IdlParser.importStatement()`.